SystemDefaultHttpClient (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class SystemDefaultHttpClient

    java.lang.Object
      org.apache.http.impl.client.CloseableHttpClient
          org.apache.http.impl.client.AbstractHttpClient
              org.apache.http.impl.client.DefaultHttpClient
                  org.apache.http.impl.client.SystemDefaultHttpClient

All Implemented Interfaces:
  Closeable, HttpClient

Deprecated. (4.3) use `HttpClientBuilder`

    @Contract(threading=SAFE_CONDITIONAL)
    @Deprecated
    public class SystemDefaultHttpClient

extends DefaultHttpClient

An extension of `DefaultHttpClient` pre-configured using system properties.

The following system properties are taken into account by this class:

- ssl.TrustManagerFactory.algorithm
- javax.net.ssl.trustStoreType
- javax.net.ssl.trustStore
- javax.net.ssl.trustStoreProvider
- javax.net.ssl.trustStorePassword
- java.home
- ssl.KeyManagerFactory.algorithm
- javax.net.ssl.keyStoreType
- javax.net.ssl.keyStore
- javax.net.ssl.keyStoreProvider
- javax.net.ssl.keyStorePassword
- http.proxyHost
- http.proxyPort
- https.proxyHost
- https.proxyPort
- http.nonProxyHosts
- http.keepAlive
- http.maxConnections

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.PROTOCOL_VERSION`
- `CoreProtocolPNames.STRICT_TRANSFER_ENCODING`
- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreProtocolPNames.USE_EXPECT_CONTINUE`
- `CoreProtocolPNames.WAIT_FOR_CONTINUE`
- `CoreProtocolPNames.USER_AGENT`
- `CoreConnectionPNames.TCP_NODELAY`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SO_LINGER`
- `CoreConnectionPNames.SO_REUSEADDR`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.CONNECTION_TIMEOUT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`
- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.STALE_CONNECTION_CHECK`
- `ConnRoutePNames.FORCED_ROUTE`
- `ConnRoutePNames.LOCAL_ADDRESS`
- `ConnRoutePNames.DEFAULT_PROXY`
- `CookieSpecPNames.DATE_PATTERNS`
- `CookieSpecPNames.SINGLE_COOKIE_HEADER`
- `AuthPNames.CREDENTIAL_CHARSET`
- `ClientPNames.COOKIE_POLICY`
- `ClientPNames.HANDLE_AUTHENTICATION`
- `ClientPNames.HANDLE_REDIRECTS`
- `ClientPNames.MAX_REDIRECTS`
- `ClientPNames.ALLOW_CIRCULAR_REDIRECTS`
- `ClientPNames.VIRTUAL_HOST`
- `ClientPNames.DEFAULT_HOST`
- `ClientPNames.DEFAULT_HEADERS`
- `ClientPNames.CONN_MANAGER_TIMEOUT`

Since:
  4.2

Constructor Summary
`SystemDefaultHttpClient()` Deprecated.
`SystemDefaultHttpClient(org.apache.http.params.HttpParams params)` Deprecated.

Method Summary
`protected ClientConnectionManager` | `createClientConnectionManager()` Deprecated.
`protected org.apache.http.ConnectionReuseStrategy` | `createConnectionReuseStrategy()` Deprecated.
`protected HttpRoutePlanner` | `createHttpRoutePlanner()` Deprecated.

Methods inherited from class org.apache.http.impl.client.DefaultHttpClient
`createHttpParams, createHttpProcessor, setDefaultHttpParams`

Methods inherited from class org.apache.http.impl.client.AbstractHttpClient
`addRequestInterceptor, addRequestInterceptor, addResponseInterceptor, addResponseInterceptor, clearRequestInterceptors, clearResponseInterceptors, close, createAuthSchemeRegistry, createClientRequestDirector, createClientRequestDirector, createClientRequestDirector, createConnectionKeepAliveStrategy, createCookieSpecRegistry, createCookieStore, createCredentialsProvider, createHttpContext, createHttpRequestRetryHandler, createProxyAuthenticationHandler, createProxyAuthenticationStrategy, createRedirectHandler, createRequestExecutor, createTargetAuthenticationHandler, createTargetAuthenticationStrategy, createUserTokenHandler, determineParams, doExecute, getAuthSchemes, getBackoffManager, getConnectionBackoffStrategy, getConnectionKeepAliveStrategy, getConnectionManager, getConnectionReuseStrategy, getCookieSpecs, getCookieStore, getCredentialsProvider, getHttpProcessor, getHttpRequestRetryHandler, getParams, getProxyAuthenticationHandler, getProxyAuthenticationStrategy, getRedirectHandler, getRedirectStrategy, getRequestExecutor, getRequestInterceptor, getRequestInterceptorCount, getResponseInterceptor, getResponseInterceptorCount, getRoutePlanner, getTargetAuthenticationHandler, getTargetAuthenticationStrategy, getUserTokenHandler, removeRequestInterceptorByClass, removeResponseInterceptorByClass, setAuthSchemes, setBackoffManager, setConnectionBackoffStrategy, setCookieSpecs, setCookieStore, setCredentialsProvider, setHttpRequestRetryHandler, setKeepAliveStrategy, setParams, setProxyAuthenticationHandler, setProxyAuthenticationStrategy, setRedirectHandler, setRedirectStrategy, setReuseStrategy, setRoutePlanner, setTargetAuthenticationHandler, setTargetAuthenticationStrategy, setUserTokenHandler`

Methods inherited from class org.apache.http.impl.client.CloseableHttpClient
`execute, execute, execute, execute, execute, execute, execute, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemDefaultHttpClient

    public SystemDefaultHttpClient(org.apache.http.params.HttpParams params)

  Deprecated.

### SystemDefaultHttpClient

    public SystemDefaultHttpClient()

  Deprecated.

Method Detail

### createClientConnectionManager

    protected ClientConnectionManager createClientConnectionManager()

  Deprecated.
  Overrides:
    `createClientConnectionManager` in class `AbstractHttpClient`

### createHttpRoutePlanner

    protected HttpRoutePlanner createHttpRoutePlanner()

  Deprecated.
  Overrides:
    `createHttpRoutePlanner` in class `AbstractHttpClient`

### createConnectionReuseStrategy

    protected org.apache.http.ConnectionReuseStrategy createConnectionReuseStrategy()

  Deprecated.
  Overrides:
    `createConnectionReuseStrategy` in class `AbstractHttpClient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.